include("UniqueDiplomacyUtilsV2.lua")

local sLeaderEldigan = "LEADER_MH_ELDIGAN"
local sLeaderQuan = "LEADER_QUAN"
local sLeaderArvis = "LEADER_MH_ARVIS"
local sLeaderSeliph = "LEADER_MHAOS_SELIPH"
local sLeaderBatou = "LEADER_BATOU"
local sLeaderChagall = "LEADER_CHAGALL"
local sLeaderHector = "LEADER_HECTOR"
local sLeaderJulius = "LEADER_MHAOS_JULIUS"
local sLeaderShannan = "LEADER_MHAOS_SHANNAN"
local sLeaderJamke = "LEADER_MHAOS_JAMKE"

function SigurdUniqueResponses()
    
	print ("Sigurd Diplo responses are now running.");
	local pActivePlayer = Players[Game.GetActivePlayer()]
	local sLeaderType = GameInfo.Leaders[pActivePlayer:GetLeaderType()].Type

	 if (sLeaderType == sLeaderEldigan) then
	ChangeDiplomacyResponse("LEADER_SIGURD", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_SIGURD_FIRSTGREETING%", "TXT_KEY_LEADER_SIGURD_MH_ELDIGAN_FIRSTGREETING%");
	end

	 if (sLeaderType == sLeaderQuan) then
	ChangeDiplomacyResponse("LEADER_SIGURD", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_SIGURD_FIRSTGREETING%", "TXT_KEY_LEADER_SIGURD_QUAN_FIRSTGREETING%");
	end
    
     if (sLeaderType == sLeaderArvis) then
		ChangeDiplomacyResponse("LEADER_SIGURD",	"RESPONSE_FIRST_GREETING",			                "TXT_KEY_LEADER_SIGURD_FIRSTGREETING%", 		  "TXT_KEY_LEADER_SIGURD_ARVIS_FIRSTGREETING%");
		ChangeDiplomacyResponse("LEADER_SIGURD",	"RESPONSE_DEFEATED",				                "TXT_KEY_LEADER_SIGURD_DEFEATED%", 	 			  "TXT_KEY_LEADER_SIGURD_MH_ARVIS_DEFEATED%");
		ChangeDiplomacyResponse("LEADER_SIGURD",	"RESPONSE_GREETING_HOSTILE_HUMAN_IS_WARMONGER",     "TXT_KEY_LEADER_SIGURD_GREETING_HOSTILE_HUMAN_IS_WARMONGER%",	      "TXT_KEY_LEADER_SIGURD_HEY_HOSTILE_HUMAN_AT_WAR_ARVIS");
		ChangeDiplomacyResponse("LEADER_SIGURD",	"RESPONSE_GREETING_NEUTRAL_HELLO",	                "TXT_KEY_LEADER_SIGURD_GREETING_NEUTRAL_HELLO%",  "TXT_KEY_LEADER_SIGURD_GREETING_NEUTRAL_ARVIS%");
		ChangeDiplomacyResponse("LEADER_SIGURD",	"RESPONSE_GREETING_HOSTILE_HELLO",	                "TXT_KEY_LEADER_SIGURD_GREETING_HOSTILE_HELLO%",  "TXT_KEY_LEADER_SIGURD_GREETING_HOSTILE_ARVIS%");
		ChangeDiplomacyResponse("LEADER_SIGURD",	"RESPONSE_DOW_LEADER_SIGURD",	                    "TXT_KEY_LEADER_SIGURD_DOW_LEADER_SIGURD%",	      "TXT_KEY_LEADER_SIGURD_DOW_MH_ARVIS");
		ChangeDiplomacyResponse("LEADER_SIGURD",	"RESPONSE_DEC_FRIENDSHIP",			                "TXT_KEY_LEADER_SIGURD_DEC_FRIENDSHIP%",		  "TXT_KEY_LEADER_SIGURD_DEC_FRIENDSHIP_ARVIS_1");
		ChangeDiplomacyResponse("LEADER_SIGURD",	"RESPONSE_ATTACKED_HOSTILE",		                "TXT_KEY_LEADER_SIGURD_ATTACKED_HOSTILE%",		  "TXT_KEY_LEADER_SIGURD_MH_ARVIS_ATTACKED_1");
	end
   
         if (sLeaderType == sLeaderSeliph) then
	ChangeDiplomacyResponse("LEADER_SIGURD", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_SIGURD_FIRSTGREETING%", "TXT_KEY_LEADER_SIGURD_SELIPH_FIRSTGREETING%");
	end

	         if (sLeaderType == sLeaderBatou) then
	ChangeDiplomacyResponse("LEADER_SIGURD", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_SIGURD_FIRSTGREETING%", "TXT_KEY_LEADER_SIGURD_BATOU_FIRSTGREETING%");
	end
   
            if (sLeaderType == sLeaderChagall) then
	ChangeDiplomacyResponse("LEADER_SIGURD", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_SIGURD_FIRSTGREETING%", "TXT_KEY_LEADER_SIGURD_CHAGALL_FIRSTGREETING%");
	end     
   
            if (sLeaderType == sLeaderHector) then
	ChangeDiplomacyResponse("LEADER_SIGURD", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_SIGURD_FIRSTGREETING%", "TXT_KEY_LEADER_SIGURD_HECTOR_FIRSTGREETING%");
	end
	
	        if (sLeaderType == sLeaderJulius) then
	ChangeDiplomacyResponse("LEADER_SIGURD", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_SIGURD_FIRSTGREETING%", "TXT_KEY_LEADER_SIGURD_JULIUS_FIRSTGREETING%");
	end

            if (sLeaderType == sLeaderShannan) then
	ChangeDiplomacyResponse("LEADER_SIGURD", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_SIGURD_FIRSTGREETING%", "TXT_KEY_LEADER_SIGURD_SHANNAN_FIRSTGREETING%");
	end

            if (sLeaderType == sLeaderJamke) then
	ChangeDiplomacyResponse("LEADER_SIGURD", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_SIGURD_FIRSTGREETING%", "TXT_KEY_LEADER_SIGURD_JAMKE_FIRSTGREETING%");
	end
			
end


for iPlayer = 0, GameDefines.MAX_MAJOR_CIVS - 1, 1 do
	local pPlayer = Players[iPlayer]
	if pPlayer ~= nil and pPlayer:IsAlive() and not pPlayer:IsHuman() and (pPlayer:GetCivilizationType() == GameInfo.Civilizations.CIVILIZATION_SIGURD_CHALPHY.ID) then
		Events.SequenceGameInitComplete.Add(SigurdUniqueResponses);
		break
	end
end