include("UniqueDiplomacyUtilsV2.lua")

local sLeaderEldigan = "LEADER_MH_ELDIGAN"
local sLeaderSigurd = "LEADER_SIGURD"
local sLeaderSeliph = "LEADER_MHAOS_SELIPH"
local sLeaderBatou = "LEADER_BATOU"
local sLeaderChagall = "LEADER_CHAGALL"
local sLeaderMichalis = "LEADER_KEV_MICHALIS"
local sLeaderJulius = "LEADER_MHAOS_JULIUS"
local sLeaderMarthipan = "LEADER_KIANG_MARTHIPAN"
local sLeaderQuan = "LEADER_KIANG_MARTHIPAN"

function ArvisUniqueResponses()
    
	print ("Arvis Diplo responses are now running.");
	local pActivePlayer = Players[Game.GetActivePlayer()]
	local sLeaderType = GameInfo.Leaders[pActivePlayer:GetLeaderType()].Type

	 if (sLeaderType == sLeaderEldigan) then
	ChangeDiplomacyResponse("LEADER_MH_ARVIS", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_MH_ARVIS_FIRSTGREETING%", "TXT_KEY_LEADER_MH_ARVIS_MH_ELDIGAN_FIRSTGREETING%");
	end
    
         if (sLeaderType == sLeaderSigurd) then
		ChangeDiplomacyResponse("LEADER_MH_ARVIS",	"RESPONSE_FIRST_GREETING",			"TXT_KEY_LEADER_MH_ARVIS_FIRSTGREETING%", 			"TXT_KEY_LEADER_MH_ARVIS_SIGURD_FIRSTGREETING%");
		ChangeDiplomacyResponse("LEADER_MH_ARVIS",	"RESPONSE_DEFEATED,",				"TXT_KEY_LEADER_MH_ARVIS_DEFEATED%", 	 			"TXT_KEY_LEADER_MH_ARVIS_SIGURD_DEFEATED_1");
		ChangeDiplomacyResponse("LEADER_MH_ARVIS",	"RESPONSE_GREETING_NEUTRAL_HELLO",	"TXT_KEY_LEADER_MH_ARVIS_GREETING_NEUTRAL_HELLO%",	"TXT_KEY_LEADER_MH_ARVIS_GREETING_NEUTRAL_SIGURD%");
		ChangeDiplomacyResponse("LEADER_MH_ARVIS",	"RESPONSE_GREETING_HOSTILE_HELLO",	"TXT_KEY_LEADER_MH_ARVIS_GREETING_HOSTILE_HELLO%",	"TXT_KEY_LEADER_MH_ARVIS_GREETING_HOSTILE_SIGURD%");
		ChangeDiplomacyResponse("LEADER_MH_ARVIS",	"RESPONSE_DOW_LEADER_MH_ARVIS",	    "TXT_KEY_LEADER_MH_ARVIS_DOW_LEADER_MH_ARVIS%",	    "TXT_KEY_LEADER_MH_ARVIS_DOW_SIGURD");
		ChangeDiplomacyResponse("LEADER_MH_ARVIS",	"RESPONSE_ATTACKED_HOSTILE",		"TXT_KEY_LEADER_MH_ARVIS_ATTACKED_HOSTILE%",		"TXT_KEY_LEADER_MH_ARVIS_ATTACKED_SIGURD");
	end
   
         if (sLeaderType == sLeaderSeliph) then
	ChangeDiplomacyResponse("LEADER_MH_ARVIS", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_MH_ARVIS_FIRSTGREETING%", "TXT_KEY_LEADER_MH_ARVIS_SELIPH_FIRSTGREETING%");
	ChangeDiplomacyResponse("LEADER_MH_ARVIS", "RESPONSE_DEFEATED,",	  "TXT_KEY_LEADER_MH_ARVIS_DEFEATED%", 	 	"TXT_KEY_LEADER_MH_ARVIS_SELIPH_DEFEATED_1");
	end

	         if (sLeaderType == sLeaderBatou) then
	ChangeDiplomacyResponse("LEADER_MH_ARVIS", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_MH_ARVIS_FIRSTGREETING%", "TXT_KEY_LEADER_MH_ARVIS_BATOU_FIRSTGREETING%");
	end
   
            if (sLeaderType == sLeaderChagall) then
	ChangeDiplomacyResponse("LEADER_MH_ARVIS", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_MH_ARVIS_FIRSTGREETING%", "TXT_KEY_LEADER_MH_ARVIS_CHAGALL_FIRSTGREETING%");
	end     
   
            if (sLeaderType == sLeaderMichalis) then
	ChangeDiplomacyResponse("LEADER_MH_ARVIS", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_MH_ARVIS_FIRSTGREETING%", "TXT_KEY_LEADER_MH_ARVIS_KEV_MICHALIS_FIRSTGREETING%");
	end

	         if (sLeaderType == sLeaderJulius) then
	ChangeDiplomacyResponse("LEADER_MH_ARVIS", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_MH_ARVIS_FIRSTGREETING%", "TXT_KEY_LEADER_MH_ARVIS_JULIUS_FIRSTGREETING%");
	ChangeDiplomacyResponse("LEADER_MH_ARVIS", "RESPONSE_DEFEATED,",	  "TXT_KEY_LEADER_MH_ARVIS_DEFEATED%", 	 	"TXT_KEY_LEADER_MH_ARVIS_JULIUS_DEFEATED_1");
	end

	         if (sLeaderType == sLeaderMarthipan) then
	ChangeDiplomacyResponse("LEADER_MH_ARVIS", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_MH_ARVIS_FIRSTGREETING%", "TXT_KEY_LEADER_MH_ARVIS_MARTHIPAN_FIRSTGREETING%");
	end

		     if (sLeaderType == sLeaderQuan) then
	ChangeDiplomacyResponse("LEADER_MH_ARVIS", "RESPONSE_FIRST_GREETING", "TXT_KEY_LEADER_MH_ARVIS_FIRSTGREETING%", "TXT_KEY_LEADER_MH_ARVIS_QUAN_FIRSTGREETING%");
	end
			
end


for iPlayer = 0, GameDefines.MAX_MAJOR_CIVS - 1, 1 do
	local pPlayer = Players[iPlayer]
	if pPlayer ~= nil and pPlayer:IsAlive() and not pPlayer:IsHuman() and (pPlayer:GetCivilizationType() == GameInfo.Civilizations.CIVILIZATION_MH_VELTHOMER.ID) then
		Events.SequenceGameInitComplete.Add(ArvisUniqueResponses);
		break
	end
end